import javax.swing.*;
public class su
{
public static double Pv(double t)
{
double T=t+273.15;
double Tc=647.3;
double Pc=221.2;
double x=1.0-T/Tc;
double p=Pc*Math.exp(1.0/(1-x)*(-7.76451*x+1.45838*Math.pow(x,1.5)-2.7758*x*x*x-1.23303*x*x*x*x*x*x));
return p;
}

public static double Pv(double t)
{
double T=t+273.15;
double Tc=647.3;
double Pc=221.2;
double x=1.0-T/Tc;
double p=Pc*Math.exp(1.0/(1-x)*(-7.76451*x+1.45838*Math.pow(x,1.5)-2.7758*x*x*x-1.23303*x*x*x*x*x*x));
return p;
}


public static void main(String args[])
{  double t=Double.parseDouble(JOptionPane.showInputDialog("t C : "));
   String s="t = "+t+"P = "+Pv(t);
   JOptionPane.showMessageDialog(null,s,"su ",JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
}}